--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 19/11/2020 16:31:59
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

DROP DATABASE IF EXISTS ejercicio2ricardo;

CREATE DATABASE ejercicio2ricardo
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE ejercicio2ricardo;

--
-- Create table `clientes`
--
CREATE TABLE clientes (
  id_cliente int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(15) DEFAULT NULL,
  PRIMARY KEY (id_cliente)
)
ENGINE = INNODB,
AUTO_INCREMENT = 11,
AVG_ROW_LENGTH = 1638,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `productos`
--
CREATE TABLE productos (
  id_producto int(11) NOT NULL AUTO_INCREMENT,
  nombre_producto varchar(25) DEFAULT NULL,
  peso decimal(5, 2) DEFAULT NULL,
  fecha date DEFAULT NULL,
  cantidad int(3) DEFAULT NULL,
  id_cliente int(11) DEFAULT NULL,
  PRIMARY KEY (id_producto)
)
ENGINE = INNODB,
AUTO_INCREMENT = 11,
AVG_ROW_LENGTH = 1638,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE productos
ADD CONSTRAINT fk_productos_clientes FOREIGN KEY (id_cliente)
REFERENCES clientes (id_cliente);

-- 
-- Dumping data for table clientes
--
INSERT INTO clientes VALUES
(1, 'Bertrada'),
(2, 'Wolfdietrich'),
(3, 'Helvin'),
(4, 'Fridurich'),
(5, 'Uodalrich'),
(6, 'Wastl'),
(7, 'Demian'),
(8, 'Kunigunde'),
(9, NULL),
(10, 'Wedekind');

-- 
-- Dumping data for table productos
--
INSERT INTO productos VALUES
(1, 'Conputor', 3.56, '2000-01-04', 71, 2),
(2, 'Charwoofaqury', 916.99, '2010-01-04', NULL, 3),
(3, 'Translictor', 7.46, '2000-01-08', 53, 1),
(4, 'Tabtectar', 834.01, '2006-04-09', 64, 1),
(5, 'Computar', 627.49, '2001-09-17', 49, 2),
(6, NULL, NULL, NULL, 46, NULL),
(7, 'Propickedscope', 297.31, '2006-03-25', 53, 8),
(8, 'Stereowoofaner', 501.88, '2010-09-16', 61, 10),
(9, 'Micbander', 161.52, '2019-06-13', 35, 3),
(10, 'Speakleletentor', 607.02, '2011-08-14', 2, 2);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;